al_get_num_video_adapters(3)

NAME

al_get_num_video_adapters - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_num_video_adapters(void)

DESCRIPTION

Get the number of video "adapters" attached to the computer. Each video card attached to the computer counts as one or more adapters. An adapter is thus really a video port that can have a monitor connected to it.

On Windows, use al_set_new_display_flags(3) to switch between Direct3D and OpenGL backends, which will often have different adapters available.

SEE ALSO

al_get_monitor_info(3)